%define snapdate 20090130

Name:		scim-sunpinyin
Summary:	SLM (Statistical Language Model) based IME
Version:	1.0
Release:	%mkrel -c %snapdate 1
Group:		System/Internationalization
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	CDDL and LGPLv2+
URL:		http://www.opensolaris.org/os/project/input-method/
# fwang: the tarball is generated by:
# hg clone ssh://anon@hg.opensolaris.org/hg/nv-g11n/inputmethod
# cd inputmethod
# hg archive -t tbz2 scim-sunpinyin.tar.bz2
Source0:	%{name}.tar.bz2
Patch0:		scim-sunpinyin-linkage.patch
Patch1:		scim-sunpinyin-str-fmt.patch
Requires:		scim-client = %{scim_api}
BuildRequires:		scim-devel >= 1.4.7

%description
SunPinyin (developed by Sun Asian G11N Center, shipped since Solaris 10,
and opensource'd on OS.o) is a SLM (Statistical Language Model) based IME.

This packagae contains SunPinyin's scim wrapper.

%prep
%setup -q -n %name/sunpinyin/ime
%patch0 -p0
%patch1 -p0

%build
./autogen.sh
%configure2_5x --disable-cle --enable-scim
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}/%scim_plugins_dir/*/*.{a,la}

%find_lang sunpinyin

%clean
rm -rf $RPM_BUILD_ROOT

%files -f sunpinyin.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{scim_plugins_dir}/*/*.so
%{_datadir}/scim/icons/*
%{_datadir}/scim/sunpinyin


%changelog
* Fri Jan 30 2009 Funda Wang <fundawang@mandriva.org> 1.0-0.20090130.1mdv2009.1
+ Revision: 335585
- fix str fmt
- fix patch num
- new snapshot
- fix linkage

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-0.20080601.2mdv2009.0
+ Revision: 269244
- rebuild early 2009.0 package (before pixel changes)

* Sun Jun 01 2008 Funda Wang <fundawang@mandriva.org> 1.0-0.20080601.1mdv2009.0
+ Revision: 214133
- New snapshot

* Wed May 07 2008 Funda Wang <fundawang@mandriva.org> 1.0-0.20080507.1mdv2009.0
+ Revision: 202928
- drop unused patch
- New snapshot of source

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - fix no-buildroot-tag

* Tue Jan 22 2008 Funda Wang <fundawang@mandriva.org> 1.0-0.20071231.3mdv2008.1
+ Revision: 156065
- adopt to new license policy

* Mon Jan 21 2008 Funda Wang <fundawang@mandriva.org> 1.0-0.20071231.2mdv2008.1
+ Revision: 155468
- reword license
- License should be CDDL

* Mon Dec 31 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20071231.1mdv2008.1
+ Revision: 139852
- add patch: treat x86_64 as i386 when linking dictionary
- import SOURCES and SPECS
- create scim-sunpinyin

